/*Copyright (C) 2010 Deveaux Duncan

This file is part of Hikou no mizu.

Hikou no mizu is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Hikou no mizu is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Hikou no mizu.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef DEF_ANIMATION
#define DEF_ANIMATION

#include <SFML/Graphics.hpp>
#include <string>
#include <vector>
#include <sstream>

#include "Moteurs/Graphique/MoteurImage.hpp"

class Animation
{	
	public:
		Animation(std::string pCheminAnimation, int pNbFrames, sf::Sprite *pImageMoteurRendu);
		
		void changeFrame(int pFrame);
		void suivant();
		void precedent();
		
		int getNbFrames() const;
		int getActFrame() const;
	
	private:
		void initialiseImages();
		
		std::vector<sf::Sprite> animationSprites;
		std::string cheminFrames;
		sf::Sprite *imageMoteurRendu;
		int nbFrames;
		int iFrame;
};

#endif
